Package com.google.cloud.spanner.jdbc

# Enum TransactionRetryListener.RetryResult

java.lang.Object
java.lang.Enum<TransactionRetryListener.RetryResult>
com.google.cloud.spanner.jdbc.TransactionRetryListener.RetryResult

All Implemented Interfaces:
  `Serializable`, `Comparable<TransactionRetryListener.RetryResult>`

Enclosing interface:
  TransactionRetryListener

@InternalApi @Deprecated public static enum TransactionRetryListener.RetryResult extends Enum<TransactionRetryListener.RetryResult>
Deprecated.
Use `TransactionRetryListener.RetryResult`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RETRY_ABORTED_AND_MAX_ATTEMPTS_EXCEEDED`
Deprecated.
The retry was aborted by Spanner and the maximum number of retry attempts allowed has been exceeded.
`RETRY_ABORTED_AND_RESTARTING`
Deprecated.
The retry was aborted by Spanner and another retry attempt will be started.
`RETRY_ABORTED_DUE_TO_CONCURRENT_MODIFICATION`
Deprecated.
The retry was aborted by the `Connection` because of a concurrent modification.
`RETRY_ERROR`
Deprecated.
An unexpected error occurred during transaction retry, the transaction cannot continue and will throw an exception.
`RETRY_SUCCESSFUL`
Deprecated.
The retry executed successfully and the transaction will continue.

## Method Summary

Modifier and Type
Method
Description
`static TransactionRetryListener.RetryResult`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this type with the specified name.
`static TransactionRetryListener.RetryResult[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RETRY_SUCCESSFUL

public static final TransactionRetryListener.RetryResult RETRY_SUCCESSFUL
Deprecated.
The retry executed successfully and the transaction will continue.

### RETRY_ABORTED_AND_RESTARTING

public static final TransactionRetryListener.RetryResult RETRY_ABORTED_AND_RESTARTING
Deprecated.
The retry was aborted by Spanner and another retry attempt will be started.

### RETRY_ABORTED_DUE_TO_CONCURRENT_MODIFICATION

public static final TransactionRetryListener.RetryResult RETRY_ABORTED_DUE_TO_CONCURRENT_MODIFICATION
Deprecated.
The retry was aborted by the `Connection` because of a concurrent modification. The transaction cannot continue and will throw an `AbortedDueToConcurrentModificationException`.

### RETRY_ABORTED_AND_MAX_ATTEMPTS_EXCEEDED

public static final TransactionRetryListener.RetryResult RETRY_ABORTED_AND_MAX_ATTEMPTS_EXCEEDED
Deprecated.
The retry was aborted by Spanner and the maximum number of retry attempts allowed has been exceeded. The transaction cannot continue and will throw an `AbortedException`.

### RETRY_ERROR

public static final TransactionRetryListener.RetryResult RETRY_ERROR
Deprecated.
An unexpected error occurred during transaction retry, the transaction cannot continue and will throw an exception.

## Method Details

### values

public static TransactionRetryListener.RetryResult[] values()
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TransactionRetryListener.RetryResult valueOf(String name)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null